var __IntegralASDiagnosticCall = (function(code, err, config) {
	try {
		var alreadySent = false;
		return function(code, err, config) {
			try {
				if (!alreadySent) {
					alreadySent = true;
					if (config) {
						// cannot stringify DOM node due to parent-child relationship
						config.thisScriptNode = '';
					}
	
					var img = new Image();
					img.src = '//fw.adsafeprotected.com/jsdiagnostic' +
						'?code:' + code +
						'&err:' + encodeURIComponent(err.message) +
						'&config:' + encodeURIComponent(JSON.stringify(config));
				}
			} catch(err) {}
		};
	} catch(err) {
		return function(){};
	}
})();

try {
	var __IntegralASConfig = {
		jsDoSplit : "false",
		cocaPuffsPath : "",
		debug : "false",
		killPhrases : "",
		useAdTalk : "true",
		jsDiag:'true',
		version:'0',
		mtCell: 10,
		mtSample: 5,
		cookieDomain:'sc.iasds01.com/dtc',
		trackMouse : "true",
		exchList:{'e1':'nqzryq','e2':'tbbtyrnqf.t.qbhoyrpyvpx','e3':'ehovpbacebwrpg','e4':'chozngvp','e5':'bcrak','e6':'nqoevgr.pbz','e7':'tynz.pbz','e8':'lvryqznantre.pbz','e9':'yvwvg','e10':'nqakf','p11':'ghea.pbz','p12':'zngugnt','p13':'vaivgrzrqvn','p14':'qngnkh','n15':'zrqvn6qrterrf','n16':'dhnagfreir','n17':'esvuho.arg','a18':'napubeserr','a19':'eff2frnepu','a20':'mgfgngvp.pbz','n21':'ovq.npr.nqiregvfvat','e22':'wnfba','v23':'fcbgkpqa','v24':'ogeyy','v25':'yvirenvy','v26':'nqncgi','v27':'nqnc.gi','n29':'qbzqrk.pbz','n30':'ernyih.arg','d31':'cvengronl','d32':'cebklonl','d33':'onlcebkl','d34':'cvengrcebkl','d35':'cebklcvengr','d36':'onlcvengr'},
		protocol:'https',
		jsref : "",
		asid : "1dcf1ada-9f20-11e5-9c3a-0025904ea176",
		allowViewability : "true",
		jsFeatures : "mousetrack,cocoapuffs,viewabilityready,consecutive,cachebust:0,forcecocoa:0,rattie:0,exch,recordalternate:0,usedtdomain,nextcocoa:100,bapiDiag,cookie,postDts:0,unreliabilityDetection,videotwoseconds,getPl,decodePl,resolution,usetpl,usesca:1,tpiLookupURL,hundredpct,jloadDiag:0,cdnTest:1,blur,sendclogs,zeroPing,idMap,offscreen,everySecond:1,sdkdetection,moreAdTalkCalls,slid,fm2:1,largeAd,nextcocoaie:100,usevh",
		adTalkDtCall : "true",
		adsafeDomain : "adsafeprotected.com:80",
		minimizeCalls : "false",
		adWidth : "728",
		adHeight : "90",
		forceAppend : "false",
		mode : "jss",
		_onInViewMRC15 : __IntegralASConfig && __IntegralASConfig.onInViewMRC15,
		_onAPIResult : __IntegralASConfig && __IntegralASConfig.onAPIResult,
		_onMeasurable : __IntegralASConfig && __IntegralASConfig.onMeasurable,
		_onSuspicious : __IntegralASConfig && __IntegralASConfig.onSuspicious,
		_onInViewMRC : __IntegralASConfig && __IntegralASConfig.onInViewMRC,
		_onInViewMRC5 : __IntegralASConfig && __IntegralASConfig.onInViewMRC5,
		requrl : "",
		reqquery : "",
		dtBaseURL: "https:\/\/dt.adsafeprotected.com\/dt",
		adsafeSrc : "https:\/\/pixel.adsafeprotected.com\/rfw\/st\/46570\/6384105\/skeleton.js",
		adsafeSep : "?",
		tpiLookupURL:"",
		getTpl: "false",
		use100v: false,
		useBapiCallback: "",
		useViewabilityNotification: "",
		scriptUrl : "https://pixel.adsafeprotected.com/rjss/st/46570/6384105/skeleton.js",
		accountForSadImps:'',
		sendCookie:'true',
		fwMonitoring:'true',
		cdnTestUrl: "//cdn.adsafeprotected.com/cdn-test.js",
		colloTestUrl: "//pixel.adsafeprotected.com/jload?campId=cdnTest&anId=100",
		doNothing: false,
		cdnTestEnabled: false,
		mn: "app18",
		cdnTestEnabled: false,
		mobOrTab: false,
		mobFwUrl : "https://mobile.adsafeprotected.com/internal/monitoring/app/initial/46570/6384105/",
		videoId : ''
	};

	if (__IntegralASConfig.jsFeatures.indexOf('asidJsDiagnostic') !== -1) {
		var fakeErr = { message: __IntegralASConfig.asid };
		__IntegralASDiagnosticCall('asid', fakeErr);
	}

	__IntegralASConfig.birthdate = new Date().getTime();
	__IntegralASConfig.thisScriptNode = (function() {
		var tempScript,
			embedded = window != top,
			scripts = document.getElementsByTagName('script'),
			result = scripts[scripts.length - 1],
			scriptIndex = scripts.length,
			useDocWrite = 'jss,jsi,jspix'.indexOf(__IntegralASConfig.mode) !== -1,
			scriptUrl = __IntegralASConfig.scriptUrl;

		try {
			while (--scriptIndex >= 0) {
				tempScript = scripts[scriptIndex];
				if (tempScript.src && tempScript.src.indexOf(scriptUrl) === 0 && tempScript.getAttribute('data-ias-script-tag') === null) {
					result = tempScript;
					tempScript.setAttribute('data-ias-script-tag', 'found');
					break;
				}
			}
			if (scriptIndex === 0 && useDocWrite && !embedded) {
				document.write('<span id="s' + __IntegralASConfig.asid + '"/>');
				result = document.getElementById('s' + __IntegralASConfig.asid).parentNode;
			}
		} catch(e) { }
	
		return result;
	}());

} catch(err) {
	__IntegralASConfig = {};
	__IntegralASDiagnosticCall('bootstrapper', err);
}

__IntegralASConfig.initialize=function(l){var s,Va=function(){s=new S;var a,d,b,c,f=ha(),g=ia(f),k=ja(),n=ka(s),p=la(),m=new ma(s),q=s.provide("mPage",na()),t=oa(),A=pa(),y=qa(),w=ra(),F=sa(p,w),w=ta(p),C=ua(p),x=va(),B=wa(),D=xa(x),N=ya(x),H=u.isVideo()?za(l.videoId,f,A):{},B=Aa(B,p,N,s,D,y,H,f),v=Ba(B,p,q),Da=Ca(n),k=Ea(B,p,f,C,m,x,A,k),I=Fa(p,f,s,n),n=Ga(F,k,p,C,m),z=Ha(F,k),I=Ia(I,f,u.isMobileApp()),G=Ja(x,k,p,f,N,s,C,D,m,Da,y,q,v,A,H),q=Ka(F,p,f,C,I,m,x,G),A=La(s),y=Ma(s),C=Na(x,C,G);Oa(f).start(l.mobOrTab);
k.setViewabilityMod(G);var E;if(!function(){var a=!1,c,b;try{e.isDef(l)&&e.isDef(l.killPhrases)&&""!==l.killPhrases&&(c=l.adsafeSrc?l.adsafeSrc:l.requrl+l.reqquery,b=l.killPhrases.split(","),e(b).each(function(d,f){f=decodeURIComponent(b[d]).replace(/^\s+|\s+$/g,"");-1!==c.search(f)&&(a=!0)})),l.doNothing&&(a=!0)}catch(d){p.add(h.ERROR_CODES.KILL_IT)}return a}()){if(g.isApplicable())try{g.start(),m.addItem(g.getFrameMap(),"fm"),f.on("fm2")&&m.addItem(g.getFrameMapIncludingPeerCase(),"fm2"),f.on("idMap")&&
(a=g.getIdMap())&&m.addItem(a,"idMap")}catch(V){p.add(h.ERROR_CODES.ADTALK_GENERAL)}var L;try{"true"!==l.minimizeCalls&&G.init();f.on("mousetrack")&&(c=Pa(B,m),c.init());L=t.detectTopURL();f.on("exch")&&(d=Qa(p,m),d.parse(L));if(f.on("getPl")&&navigator&&navigator.plugins){b=Ra(navigator.plugins);var O=b.hash();m.addItem({output:O.join(".")},"pl",{type:h.DT_CODES.ADTALK});if(f.on("decodePl")&&O.length){var P=b.decode(O);m.addItem({output:P.join(".")},"pd",{type:h.DT_CODES.ADTALK})}}var M=w.getProps();
e(M).each(function(a,b){m.addItem({output:b},a,{type:"UFO"})})}catch(T){p.add(h.ERROR_CODES.IMPRESSION_LEADUP)}f.bootstrapOn("use100v")&&Sa();k.sendCookie();q.send(L);f.on("cdnTest")&&l.cdnTestEnabled&&y.init();C.isApplicable(f)&&C.start();f.bootstrapOn("getTpl")&&f.on("usetpl")&&n.init();l.tpiLookupURL&&z.init(l.tpiLookupURL);Ta(f);"true"!==l.minimizeCalls&&(E=(new Date).getTime(),r.execAtEndOfThread(function(){r.execAtEndOfThread(function(){var a={output:(new Date).getTime()-E};m.addItem(a,"sinceFw",
{type:h.DT_CODES.ADTALK});e.isDef(G.readyFired())&&m.addItem({output:G.readyFired()},"readyFired",{type:h.DT_CODES.ADTALK});g.sendAdTalkCall()})}));f.on("usesca")&&A.load()}f.on("usevh")&&Ua()},e=function(a){var d=function(c){var d=null===a,d="object"===typeof a&&!d,f=!b()&&d;return c?d:f},b=function(){return a instanceof Array},c=function(b,c){if(a.length===+a.length)for(var d=0,f=a.length;d<f;++d)b(d,a[d]);else for(d in a)(a.hasOwnProperty(d)||c)&&b(d,a[d])},f=function(a,b){var d=[];c(function(c,
f){var g=a(c,f);if(void 0!==g||b)d[d.length]=g});return d},g=function(a,b){b=b||",";var d=[];c(function(b,c){var f=a(b,c);e.isDef(f)&&d.push(f)});return d.join(b)},k=function(a,b,c){for(var d in b)e.isDef(b[d])&&(c||b.hasOwnProperty(d))&&(a[d]=b[d]);return a},n=function(a){var b={};c(function(c,f){var g=a(c,f);d(g)&&k(b,g)});return b};return{each:c,isObj:d,isArray:b,invert:function(){return n(function(a,b){var c={};c[b]=a;return c})},mapToObj:n,map:f,keys:function(){var a=[];c(function(b){a.push(b)});
return a},toParams:function(a){return g(function(a,b){return"string"===typeof a&&-1!==a.indexOf("NULL")?b:a+":"+b},a)},stringify:g,toION:function(c,g){var n,k="[",A="]";g=g||0;c=c||{};if(4<++g)return"object";if(!d(!0))return a;b()?n=f(function(a,b){return e(b).toION(c,g)}):(k="{",A="}",n=f(function(a,b){return(c[a]||a)+":"+e(b).toION(c,g)}));return k+n.join(",")+A},compareTo:function(a){var b=!1;c(function(c,d){a[c]!==d&&(b||(b={}),b[c]=d)});return b},mixin:function(b,c){return k(a,b,c)},find:function(a){var b;
c(function(c,d){a(c,d)&&(b=d)});return b},findFirst:function(a){var b,d;c(function(c,f){!d&&a(c,f)&&(b=f,d=!0)});return b},asStrings:function(){var a={};c(function(b,c){a[b]=""+c});return a},selectProperties:function(b){var c={};e(b).each(function(b,d){e.isDef(a[d])&&(c[d]=a[d])});return c},filter:function(a,b){return f(function(b,c){var d;if(e.isUndef(a)||a(b,c))d=c;return d},b)},toArray:function(){return f(function(a,b){return b})},JSONStringify:function(){var b,c,d=!1;window.Prototype&&window.Prototype.Version&&
-1===window.Prototype.Version.indexOf("1.7")&&(d=!0);d&&(c=Array.prototype.toJSON,delete Array.prototype.toJSON);b=JSON.stringify(a);d&&(Array.prototype.toJSON=c);return b}}};e.toBase=function(a,d){var b,c=0>a,f="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ".split(""),g=[];a=c?-a:a;do b=a%d,g.push(f[b]),a=(a-b)/d;while(0<a);g=g.reverse().join("");return c?"-"+g:g};e.isDef=function(a){return"undefined"!==typeof a};e.isUndef=function(a){return!e.isDef(a)};e.isBool=function(a){return"boolean"===
typeof a};e.noop=function(){};e.identity=function(a){return a};e.isFunction=function(a){return"function"===typeof a};e.isStr=function(a){return"string"===typeof a};e.useIfDef=function(a){return e.isDef(a)?a:!1};e.stringifyTriState=function(a){return!0===a?1:!1===a?0:"na"};e.resolve=function(a){var d=e(arguments).toArray();d.shift();return e.isFunction(a)?a.apply({},d):a};e.flatJSONParse=function(a){var d,b,c,f=/"(\w+)":(\d+|(?:"([^"]*)"))/g,g={};for(c=f.exec(a);c;)d=c[1],b=c[3],c=c[2],g[d]=b||+c,
c=f.exec(a);return g};var Wa=function(a,d,b,c,f,g,k){g=g||c.parentNode||c.parent;var n=function(){var b=u.embedded?a.calcDims():d.calcDims(c,g);if(f===h.DETECTION_METHODS.VIDEO&&u.embedded){var e=(new E(c)).getRounded();try{b.set("width",e.width),b.set("height",e.height)}catch(p){s.trigger("error",h.ERROR_CODES.VIDEO_IN_IFRAME_DIMS_CALC)}}else f===h.DETECTION_METHODS.AD_PLACEHOLDER&&b.treatAsPlaceholder();return b},p=function(){var c=!l.mobOrTab&&(u.friendly||e.isDef(window.mozInnerScreenX))&&k.on("offscreen"),
d=n(),g=new E(v.calcWinDims()),c=new E(c?v.calcMonDims():{}),p=f===h.DETECTION_METHODS.VIDEO&&u.embedded?a.getClippedDims():new E({});return b.calcPercentInView(d,g,c,p)},m=function(){return b.calcInitialViewState(p())},q=function(){return c===window?!1:n().isHidden()};(function(){var a=c===window?document.body:c;z.addEvent(a,"click",function(){s.trigger("adComponentClicked")});z.addEvent(a,"mouseover",function(){s.trigger("adComponentMousedOver")})})();return{getAdNode:function(){return c},isNode:function(a){return c===
a},isHidden:q,isObstructed:function(){return!1},getDims:n,getPercentInView:p,getLocationState:m,getOnPageViewability:function(){return q()?h.OUT_OF_VIEW:m()},getDetectionMethod:function(){return f},getContainerDims:function(){return E(g)},refresh:function(){var a,b=c.parentNode;if(b){for(;c!==window&&b&&b!==document&&!a;)a=b===g,b=b.parentNode;a||(g=c.parentNode)}}}},Xa=function(a,d,b,c){var f=[],g=function(){return f[0]&&f[0].getDetectionMethod()===h.DETECTION_METHODS.AD_PLACEHOLDER},k=function(e,
p,n){var k=g()||0===f.length;e=Wa(a,d,b,e,p,n,c);k&&p!==h.DETECTION_METHODS.AD_PLACEHOLDER&&s.trigger("primaryadfound",e);g()&&f.shift();f.push(e)},n=function(){var a=0,b=0;e(f).each(function(c,d){var f;f=d.getDims();f.hasValidDims()&&(f=f.area(),a+=f,b+=d.getPercentInView()/100*f)});return{totalArea:a,totalInView:b}},p=function(){var a=n();return r.round(a.totalInView/a.totalArea*100)},m=function(){var a=n().totalArea>=h.MRC_LARGE_AD_SIZE;return b.calcInitialViewState(p(),!1,c.on("largeAd")&&a)},
q=function(a){var b=-1;e(f).each(function(c,d){d.isNode(a)&&(b=c)});return b},t=function(a){return function(){return f[0]&&f[0][a]()}};s.on("adComponentAdded",function(a){e(a).each(function(a,b){-1===q(b)&&k(b,h.DETECTION_METHODS.MUTATION)})});s.on("adComponentRemoved",function(a){e(a).each(function(a,b){var c=q(b);-1<c&&f.splice(c,1)})});return{getOriginatingNode:t("getAdNode"),getDims:t("getDims"),isObstructed:t("isObstructed"),getDetectionMethod:t("getDetectionMethod"),getContainerDims:t("getContainerDims"),
getViewState:m,getPercentInView:p,isHidden:t("isHidden"),isUsingPlaceholder:g,hasAd:function(){return!!f.length},refresh:function(){e(f).each(function(a,b){b.refresh()})},addAdComponent:k,getOutOfViewReasons:function(){var a=[],b=f[0],c=h.OUT_OF_VIEW_REASONS,d=m();d!==h.OUT_OF_VIEW&&d!==h.PARTIAL_VIEW_MINUS||a.push(c.GEOM);b.isHidden()&&a.push(c.HIDDEN);b.isObstructed()&&a.push(c.OBSTRUCTION);return a},getComponentCount:function(){return f.length}}},Ya=function(a){var d=!1;if(!e.isUndef(window.MutationObserver)){var b=
new MutationObserver(function(a){r.execAtEndOfThread(function(){d&&e(a).each(function(a,b){b.addedNodes.length&&s.trigger("adComponentAdded",b.addedNodes);b.removedNodes.length&&s.trigger("adComponentRemoved",b.removedNodes)})})}),c=function(){d=!0;setTimeout(function(){d=!1},40)};s.on("adComponentClicked",c);s.on("adComponentMousedOver",c);try{b.observe(document.body,{attributes:!0,childList:!0,characterData:!0})}catch(f){a.add(h.ERROR_CODES.AC_WATCHER)}}},Sa=function(){var a,d,b=!1,c=s.request("mPage"),
f=function(){!b&&d&&a&&!c.isHidden()&&(b=!0,s.trigger("sendDt",h.DT_CODES.LARGE_BILLABLE))};s.on("primaryadfound",function(b){a=b.getDims().area()>=h.MRC_LARGE_AD_SIZE;f()});s.on("impressionsent",function(){d=!0;f()});c.onHiddenChange(f)},ja=function(){var a=[],d={},b={percentInView:"piv",sl:"vs",reason:"r",width:"w",height:"h"};s.on("newScreenEvent",function(c){c=e(c).selectProperties(e(b).keys());c=e(c).asStrings();var f=e(c).compareTo(d);f&&(f.t=u.getTagTime(),a.push(f));e(d).mixin(c)});return{toString:function(){return e(a).toION(b)}}},
Za=function(a,d,b,c,f,g,k){var n;(function(){var g=b.getRounded(),e=g.width-5,q=g.height-5,t=0.5*g.width+1,g=0.5*g.height+1;n=[new a(d,e,q,f,k,c),new a(d,e,5,f,k,c),new a(d,5,q,f,k,c),new a(d,5,5,f,k,c),new a(d,t,g,f,k,c)]})();return{getNumInView:function(){var a=[],b=0;e(n).each(function(b,c){var d=c.isInView()?1:0;a.push(d)});g.addItem({output:a.join(".")},"pvs");e(a).each(function(a,c){b+=c});return b},getPctInView:function(a){return 5===a?100:3<=a?51:0},isReady:function(){var a=!0;e(n).each(function(b,
c){c.isNotReadyToReport()&&(a=!1)});return a},clear:function(){e(n).each(function(a,b){try{b["delete"]()}catch(c){}})}}},$a=function(a,d,b,c,f,g,k,n){var p=new a(T,document.body,d,c,f,k,n),m,q,t=0;b=b||e.noop;m=setInterval(function(){p.isReady()&&!q?(q=!0,b(),clearInterval(m)):(5===++t||q)&&clearInterval(m)},50);return{checkViewable:function(){var a=p.isReady(),c=p.getNumInView(),c=p.getPctInView(c),d=g.calcInitialViewState(c,!0);a&&!q&&(q=!0,b());return{str:a?d:h.NA,pct:a?c:-1}},clearPixels:function(){p.clear()}}},
ca=function(a,d,b,c,f,g){var k,n,p=d.getRounded(),m=[],q=!1,t=0,A=c.on("largeAd")&&d.isMrcLarge()?ab(p):bb(p),y=function(){var a;if(!q)for(q=!0,a=0;a<m.length;a++)if(m[a].isNotReadyToReport()){q=!1;break}return q},w=function(){var a=0;e(m).each(function(b,c){c.isInView()&&(a+=1)});return A.getPctInView(a)};(function(){var b=A.get();e(b).each(function(b,d){var e=new a(document.body,d.x,d.y,c,f,g);e.weight=d.weight;m.push(e)})})();b=b||e.noop;k=setInterval(function(){y()&&!n?(n=!0,b(),clearInterval(k)):
(5===++t||n)&&clearInterval(k)},50);return{checkViewable:function(){var a=y(),f;a&&(f=c.on("largeAd")&&d.isMrcLarge()?30:50,f=w()>=f?h.IN_VIEW:h.OUT_OF_VIEW);a&&!n&&(n=!0,b());return{str:a?f:h.NA,pct:a?w():-1}},clearPixels:function(){e(m).each(function(a,b){try{b["delete"]()}catch(c){}})}}},S=function(){var a=new cb,d=new db;return e(a).mixin(d)},db=function(){var a={},d=function(b,c){a[b]=a[b]||new Q;a[b].push(c)};return{on:function(a,c){c?d(a,c):e(a).each(d)},trigger:function(b){var c,d=e(arguments).toArray();
if(c=a[b])d.shift(),c.run.apply({},d)}}},T=function(a,d,b,c,f,g,k){var n=c.on("nextcocoaie")&&(g.browserIs(h.BROWSERS.IE)||g.browserIs(h.BROWSERS.MSEDGE)),p=!1,m,q,t,A,y,w=function(a,b){return'<param name="'+a+'" value="'+b+'"/>'},F=function(a,b){return a+'="'+b+'" '},C=function(){if(x()&&!p){m.style.height="1px"===m.style.height?"2px":"1px";try{m.confirmResize()}catch(a){p=!0,s.trigger("error",h.ERROR_CODES.FLASH_API_ACCESS)}}},x=function(){var a=!1;try{a=m&&e.isFunction(m.jsHandshake)}catch(b){}return a},
B=function(){if(p)return!1;var a;try{if((a=y||x())&&!t){y=!0;var b=e.flatJSONParse(m.jsHandshake());t=b.id;if(e.isUndef(t))throw"corrupted Flash pixel message received";A=1===+b.isInView}}catch(c){a=!1,p=!0,s.trigger("error",h.ERROR_CODES.FLASH_API_ACCESS)}return a};z.addEvent(window,"message",function(a){try{var b=e.flatJSONParse(a.data);"IASCOCOA"===b.type&&b.id===t&&(A=1===+b.isInView)}catch(c){s.trigger("error",h.ERROR_CODES.FLASH_API_ACCESS)}});var D=function(a,b,c){var d;d=new J;var f=l.cocaPuffsPath;
d.sub("static");d.master(d.master().split(":")[0]);f&&(d.master(f),d.sub(""));var f=d+(n?"/detector_4_1_IE.pix":"/detector_4_1.pix"),e=w("allowscriptaccess","always"),k=w("movie",f)+w("play","true")+w("loop","true");n&&(k+=w("wmode","transparent"));g.browserIs(h.BROWSERS.IE)?(d=document.createElement("div"),d.innerHTML="<object "+F("id","blag"+l.birthdate+r.random())+F("classid","clsid:D27CDB6E-AE6D-11cf-96B8-444553540000")+F(h.IAS_DETECTOR,"true")+F("type",h.FLASH_MIME)+F("data",f)+">"+k+e+"</object>",
m=d.firstChild):(m=document.createElement("object"),m.data=f,m.type=h.FLASH_MIME,m.innerHTML=e,m[h.IAS_DETECTOR]="true");m.style.position="absolute";m.style.width="1px";m.style.opacity="0";m.style.height="0px";d=m;f=d.style;f.left=b+"px";f.top=c+"px";a.appendChild(d);f.height="1px";n&&setInterval(C,100);return d}(a,d,b);return{isInView:function(){var a;if(B()){try{a=A}catch(b){y=!1,s.trigger("error",h.ERROR_CODES.COCOA_GONE)}g.browserIs("w")&&void 0!==a&&(m.style.height=q?"1px":"2px",q=!q)}return B()&&
a},isNotReadyToReport:function(){return!B()},createdFlash:m,"delete":function(){D.parentNode&&D.parentNode.removeChild(D)}}},U=function(){var a=function(b,c,d){var g=c.length,e=b.frames;d&&d(b,c);if(e.length){for(b=0;b<e.length;b++)c[g]=b,a(e[b],c,d);c.pop()}},d=function(b){a(top,[0],b)};return{traverse:d,getFrames:function(a){var c=[];d(function(a){c.push(a)});return e(c).filter(a)}}},Q=function(){var a=[];return{push:function(d){a[a.length]=d},run:function(){var d=arguments;e(a).each(function(a,
c){c.apply({},d)})}}},W=function(a){return{doEligibleJobs:function(d){var b=a[0],c=b&&b.time;c&&d>=c&&(b.task(),a.shift())},getNextJob:function(){return a[0]}}},eb=function(){var a=function(a,b,c,f){var g,k=e.noop,n;if(JSON&&JSON.parse)try{g=JSON.parse(a.data),n=a.source,b(g)&&(f&&(k=function(){(new X(n)).send(function(){return f(n)})}),c(a,g,k))}catch(p){g&&s.trigger("error",h.ERROR_CODES.MESSAGE_LISTENER)}};return{listen:function(d,b,c){z.addEvent(window,"message",function(f){a(f,d,b,c)})}}},X=
function(a){var d=function(a){return e(a).mapToObj(function(a,b){var d;e.isFunction(b)||(d={},d[a]=b);return d})};return{send:function(b){if(JSON&&JSON.stringify){var c=e(a).isObj()?[a]:(new U).getFrames(a);e(c).each(function(a,c){var k;k=e.resolve(b,c)||{};k.sentTime=r.now();k=d(k);c.postMessage(e(k).JSONStringify(),"*")})}}}},ma=function(a){var d=0,b={},c=function(a,b,c){if(e.isUndef(a.output))throw Error("item with id "+b+' must have "output" method');this.item=a;this.id=b||++d;this.props=c||{};
this.output=function(){return e.isFunction(a.output)?a.output():a.output}},f=function(a,d,f){a=new c(a,d,f||{});b[a.id]=a};a.on("addOutputItem",function(a,b,c){f(a,b,c)});return{addItem:f,iterate:function(a){var c,d,f=[];for(c in b)b.hasOwnProperty(c)&&(d=a(c,b[c]))&&f.push(d);return f},getItem:function(a){return b[a]}}},ab=function(a){var d=a.width-5,b=a.height-5,c=0.5*a.width+1,f=0.5*a.height+1,g=0.3*a.width+1,e=0.7*a.width+1,n=0.3*a.height+1,p=0.7*a.height+2,m,q=function(b,c){1>b&&(b=1);1>c&&(c=
1);b>a.width&&(b=0!==a.width?a.width:1);c>a.height&&(c=0!==a.height?a.height:1);return{x:r.floor(b),y:r.floor(c)}};m=[q(d,b),q(d,5),q(5,b),q(5,5),q(c,f),q(g,n),q(e,n),q(g,p),q(e,p)];return{get:function(){return m},getPctInView:function(a){var b;0===a?b=0:1===a?b=10:2===a?b=20:5>a?b=30:7>a?b=50:9>a?b=70:9===a&&(b=100);return b}}},bb=function(a,d){var b=0.5*a.width+1,c;c=[{y:r.floor(0.5*a.height+1),x:r.floor(b)}];return{get:function(){return c},getPctInView:function(a){return 1===a?50:0}}},cb=function(){var a=
{},d=function(b,c){a[b]=c};return{request:function(b){var c,d=a[b],g=e(arguments).toArray();g.shift();e.isUndef(d)||(c=e.isFunction(d)?d.apply({},g):d);return c},provide:function(b,c){c?a[b]=c:e(b).each(d);return c}}},Ba=function(a,d,b){return{collect:function(){var c=a.find(),d=c.getOutOfViewReasons(),g=b.isHidden(),k=E(v.calcWinDims()),n=c.getDims();if(!k.hasValidDims()||!n.hasValidDims())return{viewState:h.NA,posViewState:h.NA,embedded:u.embedded,winDimensions:k,adDimensions:n};!0===g&&d.push(h.OUT_OF_VIEW_REASONS.FOCUS);
return{winDimensions:k,adDimensions:n,containerDimensions:c.getContainerDims(),method:c.getDetectionMethod(),viewState:d.length?h.OUT_OF_VIEW:c.getViewState(),percentInView:c.getPercentInView(),reason:d.join("."),obstructed:e.stringifyTriState(c.isObstructed()),isHidden:e.stringifyTriState(c.isHidden()),tabHidden:e.stringifyTriState(g),posViewState:c.getViewState(),adCompCount:c.getComponentCount()}}}},fb=function(a){a=a||e.identity;var d=[],b=r.now(),c=function(){var a=r.now();d.length&&(d[d.length-
1].duration+=a-b,b=a)};return{clear:function(){c();d=[]},fastForward:c,get:function(){return d},hasAlwaysBeen:function(a){return 1===d.length&&d[0].state===a},addState:function(b){var g=d[d.length-1];b=a(b);c();0!==d.length&&b===g.state||d.push({state:b,duration:0})}}},gb=function(a){var d=a||1,b=0,c=0,f=0,g=0;return{start:function(){0===b%d&&(f=r.now())},stop:function(){0===b%d&&(g+=r.now()-f,c++);b++},getTime:function(){return g},getCount:function(){return c}}},da=function(a){var d=0,b=u.getTagTime(),
c=0,f,g;return{getTotalTime:function(){return c},stop:function(){d=0;b=u.getTagTime()},mark:function(){f=u.getTagTime()-b;d+=f;d>a&&(g=d-f<a,c+=g?d:f);b=u.getTagTime()}}},J=function(a){var d=/((http|https):\/\/(([^\/\.]*)\.([^\/]*)))(?:\/(.[^?]*))*/.exec(a||l.adsafeSrc||l.requrl),b=d[2],c=d[4],f=d[5],g=a?d[6]:"",k,n=function(a){e.isDef(a)&&(c=a);return c},p=function(a){e.isDef(a)&&(f=a);return f},m=function(){var a="";e(k).each(function(b,c){a+="&"+b+"=";a=e(c).isObj()?a+("{"+e(c).toParams()+"}"):
a+c});return"?"+a.substr(1)};return{fullDom:d[1],sub:n,master:p,setParam:function(a,b){k=k||{};k[a]=k[a]||{};e(b).isObj()?e(k[a]).mixin(b):k[a]=b},path:function(a){g=a},_getQsParams:function(){return k},toString:function(){var a=n()?n()+".":"",c=g?"/"+g:"",d=k?m():"";return b+"://"+a+p()+c+d}}},Ua=function(){var a=v.appendElement("iframe",{name:"hpif",style:"display:none"}),d=function(b){a.contentWindow[b.pieces.join("")]=function(){return{play:function(){s.trigger("addOutputItem",{output:b.abbr},
"vh",{minDt:!0,type:h.DT_CODES.VH});s.trigger("sendMinDt",h.DT_CODES.VH)}}}};e([{pieces:["jwp","la","yer"],abbr:"j"},{pieces:["flo","wpl","ayer"],abbr:"f"}]).each(function(a,c){d(c)})},Aa=function(a,d,b,c,f,g,e,n){var p=-1!==l.mode.indexOf("jsvid"),m=l.thisScriptNode.parentNode,q=Xa(f,a,b,n);Ya(d);return{find:function(){var a,b=h.DETECTION_METHODS,c=function(c){var d=v.findChildWithLargestContent(m);1<v.getNodeArea(d)&&!d[h.IAS_DETECTOR]?q.addAdComponent(d,c||b.AD_HUNT,m):q.hasAd()||(a=v.getPlaceholderSpan(),
m.insertBefore(a,l.thisScriptNode.nextSibling),q.addAdComponent(a,c||b.AD_PLACEHOLDER))};if(q.isUsingPlaceholder()||!q.hasAd())g.isMobileApp()?c(g.getDetectionMethod()):p?q.addAdComponent(e.findAdNode(),b.VIDEO):u.embedded?q.addAdComponent(window,b.IFRAME):c();return q},getDetectionMethod:function(){},isAdDetected:function(){return!0!==q.isUsingPlaceholder()},getOriginatingElement:function(){return q.getOriginatingNode()},getParent:function(){return m}}},Ta=function(a){var d=function(a,c){var d;c&&
c.id&&(d=c.id.replace(/[^\w-_]/g,""));return d};(function(){var b;try{if("jload"===l.mode&&a.on("slid")&&u.friendly&&!u.isMobileApp()){var c,f;if(c=v.getOurNodeInTop()){var g=v.getAncestorNodes(c);f=e(g).map(d)}(b=f=f&&e(f).toION())&&s.trigger("addOutputItem",{output:b},"slid",{type:h.DT_CODES.ADTALK})}}catch(k){s.trigger("error",h.ERROR_CODES.AD_SLOT_ID)}})()},Ga=function(a,d,b,c,f){var g=function(a,b,c){f.addItem({output:a+"."+b+"."+c},"ctpl")},k=function(f){try{d.diagnostic("c");var p=f.length,
k=0,q=0;g(p,0,0);e(f).each(function(b,d){a.send(d.replace("%%CBS%%",c.getCacheBustId()),function(){g(p,k,++q)},!0);g(p,++k,q)})}catch(t){b.add(h.ERROR_CODES.AT_SEND)}};return{init:function(){try{var c=(new J).fullDom;"/"!==c.slice(-1)&&(c+="/");c+="tpl?asId="+l.asid;a.jsonp(c,k)}catch(d){b.add(h.ERROR_CODES.AT_INIT)}}}},Fa=function(a,d,b,c){return{enabled:"true"===l.useBapiCallback,callback:function(d){b.trigger("sendDiag");try{"true"===l.accountForSadImps&&c.measure(d),l._onAPIResult&&l._onAPIResult(d)}catch(g){a.add(h.ERROR_CODES.BAPI_CALLBACK),
b.trigger("sendDiag","bapiClient")}}}},va=function(){var a=h.BROWSERS,d=function(){var a=r.getWindow(),b=function(a){return a.replace(/\D+/g,",").match(/^,?(.+),?$/)[1].split(",").join(".")};try{try{var c=r.getNewActiveXObject("ShockwaveFlash.ShockwaveFlash.6");try{c.AllowScriptAccess="always"}catch(d){return"6"}}catch(f){}return b(r.getNewActiveXObject("ShockwaveFlash.ShockwaveFlash").GetVariable("$version"))}catch(e){try{if(a.navigator.mimeTypes[h.FLASH_MIME].enabledPlugin)return b((a.navigator.plugins["Shockwave Flash 2.0"]||
a.navigator.plugins["Shockwave Flash"]).description)}catch(t){}}return"0"},b=function(a){return f()===a},c=function(){var a=r.getDoc();return a&&a.documentMode?a.documentMode:h.NA},f=function(){var b="u",c=r.getWindow();try{e.isDef(c.opera)&&e.isDef(c.opera.buildNumber)?b=a.OPERA:e.isDef(c.mozInnerScreenY)?b=a.GECKO:e.isDef(c.chrome)&&e.isDef(c.chrome.csi)?b=a.CHROME:e.isDef(c.msWriteProfilerMark)&&e.isDef(c.crypto)?b=a.MSEDGE:e.isDef(c.attachEvent)||e.isDef(c.msCrypto)?b=a.IE:e.isDef(c.WebKitPoint)&&
(b=a.WEBKIT)}catch(d){}return b};return{browserIs:b,getFlashVersion:d,getDocumentMode:c,getBrowserType:f,getUserAgent:function(){var a=!1,b=r.getWindow();e.isDef(b.navigator)&&e.isDef(b.navigator.userAgent)&&(a=b.navigator.userAgent);return a},params:function(){var g=f(),k=d(),n=5,p=r.getWindow(),m=r.getDoc();b(a.IE)?p.msCrypto?n=11:p.atob?n=10:p.addEventListener?n=9:p.JSON&&m.querySelector?n=8:p.XMLHttpRequest?n=7:m.compatMode&&(n=6):n=h.NA;var p=c(),m=["{45EA75A0-A269-11D1-B5BF-0000F8051515}","{3AF36230-A269-11D1-B5BF-0000F8051515}",
"{89820200-ECBD-11CF-8B85-00AA005B4383}"],q=h.NA,t=r.getDoc(),l=t.createElement("div");if(b(a.IE))try{if("-ms-ime-align"in t.documentElement.style)q="11";else for(l.style.behavior="url(#default#clientcaps)",t=0;t<m.length&&!(q=l.getComponentVersion(m[t],"componentid").replace(/,/g,"."));t++);}catch(y){}m=q;q=h.NA;l=r.getWindow();e.isDef(l.navigator)&&e.isDef(l.navigator.appName)&&(q=l.navigator.appName.toLowerCase()[0]);return{br:g,fv:k,bv:n,dm:p,abv:m,an:q}}}},Ma=function(a){var d=0.5<=r.random()?
"cdn":"collo",b=function(){a.trigger("sendDiag",d+"Test","cdnTest")};return{init:function(){var c,f=l[d+"TestUrl"];f&&(c=-1===f.indexOf("?")?"?":"&",f=f+c+"asid="+l.asid,a.trigger("exec",f,b))}}},sa=function(a,d){var b=function(a,b){var c,d,f=l.thisScriptNode.parentNode;b=b||a;a=1<arguments.length?a:"script";c={script:['<script type="text/javascript" src="','">\x3c/script>'],iframe:['<iframe width="100%" height="100%" frameborder="0" vspace="0" hspace="0" scrolling="no" marginheight="0" marginwidth="0" src="',
'"></iframe>'],img:['<img src="','"/>']}[a];d=c[0]+b+c[1];"true"===l.forceAppend?"script"!==a?(c=document.createElement("DIV"),c.innerHTML=d,f.appendChild(c.childNodes[0])):(c=document.createElement("SCRIPT"),c.src=b,f.appendChild(c)):document.write(d)},c=function(a,b,c){var d=!c&&z.getXHR2();d?(d.open("POST",a),d.onreadystatechange=function(){4===d.readyState&&200===d.status&&b&&b()},d.send()):(c=new Image,b&&(c.onload=b),c.src=a)},f=function(a,b){var c=document.createElement("script");c.type="text/javascript";
c.src=a;b&&(c.onload=b);e.isDef(l.thisScriptNode.parentNode)&&l.thisScriptNode.parentNode.appendChild(c)},g=function(b){e.isFunction(b)?b():"string"===typeof b?c(b,void 0,!0):a.add(h.ERROR_CODES.NOTIFY_CLIENT)},k=function(a,b,c,e){f(d.wrap(a,b,c,e))};s.on({addNode:b,send:c,exec:f,notify:g,jsonp:k});return{addNode:b,send:c,exec:f,notify:g,jsonp:k}},h={MAX_URL_LENGTH:2E3,MRC_LARGE_AD_SIZE:242500,FLASH_MIME:"application/x-shockwave-flash",IN_VIEW:"inView",OUT_OF_VIEW:"outOfView",PARTIAL_VIEW_PLUS:"partialViewPlus",
PARTIAL_VIEW_MINUS:"partialViewMinus",NA:"na",DT_CODES:{ADTALK:"a",DIAGNOSTIC:"b",THIRD_PARTY:"i",LARGE_BILLABLE:"l",VIDEO_EVENTS:"m",PING:"p",FULLY_INVIEW:"pf",QUARTILE_FULLY_INVIEW:"qf",SCA:"s",POS_INVIEW:"t",UNLOAD:"u",VIEWABILITY_READY:"v",VH:"vh"},DETECTION_METHODS:{AD_PLACEHOLDER:"s",AD_HUNT:"a",IFRAME:"i",VIDEO:"v",MOBILE:"m",MUTATION:"c"},OUT_OF_VIEW_REASONS:{GEOM:"l",OBSTRUCTION:"o",FOCUS:"f",COLLAPSED:"c",HIDDEN:"h",VIDEO:"v"},ERROR_CODES:{GET_AD_DIMENSIONS:"a",AD_SLOT_ID:"A",BAPI_CALLBACK:"b",
ADTALK_GENERAL:"c",COCOA_GONE:"C",GET_SCREEN_LOC_GET_DIMENSIONS:"d",ADTALK_DUBIOUS:"D",VIDEO_IN_IFRAME_DIMS_CALC:"F",PHONE_HOME:"h",UID_GENERATION:"i",IMPRESSION_URLS:"I",JSINFO:"J",KILL_IT:"k",LOCATION_DETAILS:"l",IMPRESSION_LEADUP:"L",MESSAGE_LISTENER:"m",NOTIFY_CLIENT:"n",AT_INIT:"N",GET_SCREEN_LOC_PIV_CALC:"p",PLUGIN_PARSING:"P",GET_ELEM_STYLE:"s",AT_SEND:"S",NO_VIDEO_AD_NODE:"u",ENVIRONMENT:"v",GET_WIN_DIMENSIONS:"w",AC_WATCHER:"W",EXCHANGE_PARSING:"x",CHECK_SCREEN_LOC:"V",MOBILE_APP:"M",FLASH_API_ACCESS:"z"},
IAS_DETECTOR:"iasdetector",BROWSERS:{WEBKIT:"w",OPERA:"o",GECKO:"g",CHROME:"c",IE:"i",MSEDGE:"e"}},u=function(){var a=window!=top,d=function(){var a;try{a=!!top.document}catch(c){a=!1}return a}();return{embedded:a,friendly:d,friendlyIframe:a&&d,xDomainIframe:a&&!d,getTagTime:function(){return r.now()-l.birthdate},getPageTime:function(){return e.isDef(window.chrome)&&e.isDef(window.chrome.csi)&&e.isFunction(window.chrome.csi)?r.round(chrome.csi().pageT):h.NA},isVideo:function(){return-1!==l.mode.indexOf("jsvid")},
isMobileApp:function(){return e.isDef(window.mraid)}}}(),z={addEvent:function(a,d,b,c){e.isDef(a.addEventListener)?"mouseenter"===d?a.addEventListener("mouseover",z.mouseEnter(b),c):"mouseleave"===d?a.addEventListener("mouseout",z.mouseEnter(b),c):a.addEventListener(d,b,c):e.isDef(a.attachEvent)&&a.attachEvent("on"+d,b)},removeEvent:function(a,d,b){e.isDef(a.removeEventListener)?("mouseenter"===d?(d="mouseover",b=z.mouseEnter):"mouseleave"===d&&(d="mouseout",b=z.mouseEnter),a.removeEventListener(d,
b)):e.isDef(a.detachEvent)&&a.detachEvent("on"+d,b)},mouseEnter:function(a){var d=this;return function(b){var c=b.relatedTarget;this===c||d.isAChildOf(this,c)||a.call(this,b)}},isAChildOf:function(a,d){if(a===d)return!1;for(;d&&d!==a;)d=d.parentNode;return d===a},getStyle:function(a,d){var b="";document.defaultView&&document.defaultView.getComputedStyle?b=document.defaultView.getComputedStyle(a,"").getPropertyValue(d):a.currentStyle&&(d=d.replace(/\-(\w)/g,function(a,b){return b.toUpperCase()}),b=
a.currentStyle[d]);return b},getXHR2:function(a,d){var b,c;e.isDef(window.XMLHttpRequest)?(c=new XMLHttpRequest,"withCredentials"in c&&(b=c)):e.isDef(XDomainRequest)&&(b=new XDomainRequest);return b}},Ea=function(a,d,b,c,f,g,k,n){var p=0,m=0,q=!1,t,A={},y=[h.DT_CODES.ADTALK],w=function(a,d,f,g,n){f=f||!b.on("postDts");var t=a===h.DT_CODES.VH||a===h.DT_CODES.DIAGNOSTIC||a===h.DT_CODES.ADTALK;if(c.impressionIsIdentifiable()&&(t||"n"!==k.getCurrentLoc()))try{var y=l.dtBaseURL,w=new J(y),F=r.now(),u=
A[a];y||(w.path("dt"),b.on("usedtdomain")&&w.sub("dt"));C(w,a,d);n&&n.field&&w.setParam(n.field,n.value);g||x(w,a);s.trigger("send",w,function(){m+=1;p=r.now()-F},f);a===h.DT_CODES.UNLOAD&&(q=!0);A[a]=e.isDef(u)?u+1:1}catch(v){__IntegralASDiagnosticCall("dt-"+a,v),s.trigger("error",h.ERROR_CODES.PHONE_HOME)}};a=function(a,c){var d={bapi:"a",bapiClient:"b",jload:"c",jss:"d",jsi:"e",cdnTest:"f",colloTest:"g"},f=l.mode,d=d[a]||d[f];b.on(c||f+"Diag")&&d&&w(h.DT_CODES.DIAGNOSTIC,-5,!0,!0,{field:"bkp",
value:d})};var F=function(a){var b;a===h.DT_CODES.UNLOAD?b=-1:a===h.DT_CODES.ADTALK?b=-2:a===h.DT_CODES.VIEWABILITY_READY?b=-3:a===h.DT_CODES.VIDEO_EVENTS?b=-4:a===h.DT_CODES.DIAGNOSTIC?b=-5:a===h.DT_CODES.THIRD_PARTY?b=-6:a===h.DT_CODES.QUARTILE_FULLY_INVIEW?b=-7:a===h.DT_CODES.LARGE_BILLABLE&&(b=-8);var c=A[a];e.isDef(c)&&-1!==y.indexOf(a)&&0!==c&&(b=b+"."+c);return b},C=function(a,b,d){d=e.isDef(d)?d:F(b);a.setParam("asId",l.asid);var g={c:c.getCacheBustId(),pingTime:d,time:u.getTagTime(),type:b};
f.iterate(function(a,c){var d=c.props;!d.minDt||d.type&&d.type!==b||(g[a]=c.output())});a.setParam("tv",g)},x=function(a,c){var e,q={};k.fastForward();c===h.DT_CODES.VIDEO_EVENTS&&(e=s.request("videoEventsString"))&&(q.ve=e,q.clog=n);c===h.DT_CODES.UNLOAD&&(q.ndt=m);-1!==l.mode.indexOf("jsvid")&&(q.vv=s.request("videoVersion"));q.NULL1=b.output();q.NULL2=k.stringify(10);q.em=u.embedded;q.fr=u.friendly;q.uf=t.useFlash()?1:0;q.e=d.toString();q.tt=l.mode;q.dtt=p;f.iterate(function(a,b){var d=b.props;
d.minDt||d.type&&d.type!==c||(q[a]=b.output())});a.setParam("tv",q);a.setParam("br",g.getBrowserType())};s.on({sendDt:w,sendMinDt:function(a,b){w(a,b,void 0,!0)},sendDiag:a});return{send:w,sendCookie:function(){var a;b.on("cookie")&&"true"===l.sendCookie&&l.protocol&&l.cookieDomain&&l.asid&&(a=l.protocol+"://"+l.cookieDomain+"?asid="+l.asid,s.trigger("send",a,e.noop,!0),m++)},unload:function(){q||w(h.DT_CODES.UNLOAD,-1,!0)},diagnostic:a,setViewabilityMod:function(a){t=a}}},E=function(a){var d={},
b=!1,c=function(){var a={};e(d).each(function(b,c){a[b]=r.round(c)});return a},f=function(){return r.round(d.width)*r.round(d.height)};(function(){var b;a!==window.parent&&(1!==a.nodeType?d=a:e.isDef(a.getBoundingClientRect)&&(b=v.getRect(a),e(d).mixin({x:e.useIfDef(b.x)||b.scrX,y:e.useIfDef(b.y)||b.scrY,scrX:b.scrX,scrY:b.scrY,width:b.width,height:b.height})))})();return{hasValidDims:function(){var a,b=e(d).find(function(b,c){a=!0;return isNaN(c)});return e.isDef(a)&&e.isUndef(b)},toString:function(){var a=
c();return[a.scrX,a.scrY,a.width,a.height].join(".")},getRounded:c,set:function(a,b){d[a]=b},isHidden:function(){var c=1===a.nodeType?v.nodeIsHidden(a):0===a.width||0===a.height;return b?!1:c},treatAsPlaceholder:function(){b=!0},area:f,isMrcLarge:function(){return f()>=h.MRC_LARGE_AD_SIZE}}},wa=function(){return{calcDims:function(a,d){var b=new E(a),c=v.getClippedDimensions(a,d),f=b.getRounded();b.set("height",c.height<f.height?c.height:f.height||1);b.set("width",c.width<f.width?c.width:f.width||
1);return b}}},v={nodeIsHidden:function(a){var d=this.getRect(a),b=0!==parseInt(z.getStyle(a,"width"))&&0===d.width,d=0===d.width||0===d.height;a="hidden"===z.getStyle(a,"visibility");return b||d||a},calcWinDims:function(){var a,d,b;try{d=v.windowPosition(),b=v.windowSize(),a={scrX:r.round(d.scrX),scrY:r.round(d.scrY),width:r.round(b.width),height:r.round(b.height)}}catch(c){s.trigger("error",h.ERROR_CODES.GET_WIN_DIMENSIONS),a={}}return a},windowSize:function(){var a={},d,b;if(u.friendly)if(d=top.document,
b=d.documentElement,d=d.getElementsByTagName("body")[0],e.isDef(top.innerWidth))a.width=top.innerWidth,a.height=top.innerHeight;else if(e.isDef(b.clientWidth))a.width=b.clientWidth,a.height=b.clientHeight;else if(e.isDef(d.clientWidth))a.width=d.clientWidth,a.height=d.clientHeight;else throw a.width=a.height=0,"";else e.isDef(window.outerWidth)&&(a.width=window.outerWidth,a.height=window.outerHeight);return a},windowPosition:function(){var a=0,d=0;e.isDef(window.screenX)?(a=window.screenX,d=window.screenY):
e.isDef(window.screenLeft)&&(a=window.screenLeft,d=window.screenTop);return{scrX:a,scrY:d}},getNodeArea:function(a){var d=-1;a&&(a=v.getRect(a),d=a.width*a.height);return d},getRect:function(a){var d={},b=v.windowPosition();a=a.getBoundingClientRect();e.isUndef(a.x)&&(d.x=a.left,d.y=a.top);e.isUndef(a.width)&&(d.width=a.right-a.left,d.height=a.bottom-a.top);e(d).mixin(a,!0);d.scrX=b.scrX+d.x;d.scrY=b.scrY+d.y;return d},getIeDimObj:function(){return document.documentElement&&e.isDef(document.documentElement.clientWidth)&&
document.documentElement||document.body},getPlaceholderSpan:function(){var a=document.createElement("span");e(a.style).mixin({width:"0px",height:"0px",display:"block",overflow:"hidden",visibiility:"hidden"});a.innerHTML=".";return a},appendElement:function(a,d,b){var c=r.getDoc().createElement(a);d&&e(d).each(function(a,b){"style"===a&&"object"===typeof c.style&&"function"===typeof c.style.setAttribute?e(b.split(";")).each(function(a,b){var d=b.split(":");c.style[d[0].trim()]=d[1].trim()}):c.setAttribute(a,
b)});b=b||r.getDoc().body;b.appendChild(c);return c},getClippedDimensions:function(a,d){var b,c,f=1E4,e=1E4;b="absolute"===z.getStyle(a,"position");if(null!==a.parentNode&&!b){do a=a.parentNode,b="OBJECT"!==a.tagName.toUpperCase(),c="inline"!==z.getStyle(a,"display"),b&&c&&(b=v.getRect(a),f=b.width<f?b.width:f,e=b.height<e?b.height:e);while(a.parentNode!==document&&a!==d)}return{width:r.round(f),height:r.round(e)}},findChildWithLargestContent:function(a){var d=function(b){for(;b.parentNode!==a&&"inline"!==
z.getStyle(b.parentNode,"display");)b=b.parentNode;return b},b=null,c=function(b){var c,d,e=null,p=-1;if(b.length)for(c=0,d=b.length;c<d;c++){var m=b[c],q=v.getNodeArea(m),t;if(t=q>p){t=void 0;if(t=m.parentNode===a)if(t=void 0,t="DIV"===m.nodeName)if(t=void 0,t=""===m.style.backgroundImage){var h=t=void 0,y=m.childNodes;for(t=0;t<y.length;t++)1===y[t].nodeType&&(h=!0);t=!h}t=!t}t&&(e=m,p=q)}return e}(function(a){var b,c,d,e,m=[],q="iframe img a object embed div".split(" ");b=0;for(c=q.length;b<c;b++){var t=
a.getElementsByTagName(q[b]);if(t.length)for(d=0,e=t.length;d<e;d++)m.push(t[d])}return m}(a));c&&(b=d(c));return b},screenSize:function(){var a={width:-1,height:-1};try{e.isDef(window.screen)&&(a={width:window.screen.width,height:window.screen.height})}catch(d){}return a},calcMonDims:function(){var a=e(v.screenSize()).mixin({scrX:0,scrY:0});e.isDef(screen.availLeft)&&(a={scrX:window.screen.availLeft,scrY:window.screen.availTop,width:window.screen.availWidth,height:window.screen.availHeight});return a},
getOurIFrameInTop:function(){for(var a,d=r.getTop(),b=r.getWindow();b!=d;)a=b,b=a.parent;return a},getOurNodeInTop:function(){var a;u.friendly&&(a=u.embedded?(a=v.getOurIFrameInTop())&&a.frameElement:l.thisScriptNode);return a},getAncestorNodes:function(a){var d=[],b=a.ownerDocument&&a.ownerDocument.documentElement;if(b)for(;a.parentNode!==b;)d.push(a),a=a.parentNode;return d},getTagsNamed:function(a){return r.getDoc().getElementsByTagName(a)},containsScriptTagWithSrc:function(a){return!!e(v.getTagsNamed("script")).findFirst(function(d,
b){var c=b.src;return e.isFunction(a)?a(c):c===a})}},ta=function(a){return{getProps:function(){var d={};try{var b=document.createElement("span");e(b.style).mixin({position:"absolute",top:"150"});d={rpx:""===b.style.top?1:0}}catch(c){a.add(h.ERROR_CODES.ENVIRONMENT)}return d}}},la=function(){var a={},d=function(b){e.isDef(a[b])?a[b]++:a[b]=1};s.on("error",function(a){d(a)});return{list:a,add:d,toString:function(){var b="",c;for(c in a)a.hasOwnProperty(c)&&(b+=c);return b},hasErrors:function(){for(var b in a)return!0;
return!1}}},Qa=function(a,d){var b=function(a){var b=[];if(a&&a instanceof Array)b=e(a).map(function(a,b){return b.val}),b.push(l.adsafeSrc,l.requrl,l.reqquery);else throw Error("Unexpected data type in ExchangeParser.getUrlList");return b};return{parse:function(c){try{var f,g=b(c),k=g&&g.length&&g.join("|"),n=l.exchList;k&&(f=e(n).map(function(a,b){return 0<=k.indexOf(R.rot(b))?a:void 0}),f.length&&d.addItem({output:f.join(".")},"ex",{type:"UFO"}))}catch(p){a.add(h.ERROR_CODES.EXCHANGE_PARSING)}}}},
ha=function(){var a={},d=function(b,c){var d=RegExp(b+"(?=$|,)|"+b+":(?!,|$)(.?\\d*(?=,|$))").exec(l.jsFeatures);if(e.isUndef(a[b])||c)a[b]=!!(d&&!d[1]||d&&d[1]>100*r.random());return a[b]},b={fc:"forcecocoa",rt:"rattie",cb:"cachebust",np:"nextcocoa",th:"tabHiddenDtCall",es:"everySecond"},c={gm:"use100v"},f=function(){var d,f;d=e(b).mapToObj(function(b,c){var d={};d[b]=a[c]?1:0;return d});f=e(c).mapToObj(function(a,b){var c={};c[a]=g(b)?1:0;return c});return e(d).mixin(f)},g=function(a){a=l[a];return!0===
a||"true"===a||e.isFunction(a)};e(b).each(function(a,b){d(b)});return{on:d,bootstrapOn:g,output:function(){return e(f()).toParams()}}},ya=function(a){var d=h.BROWSERS,b=a.browserIs(d.GECKO)||a.browserIs(d.IE)||u.friendlyIframe||!u.embedded;return{calcInitialViewState:function(a,d,e){var k={IN_VIEW:65,OUT_OF_VIEW:25,PARTIAL_VIEW:30},n={IN_VIEW:75,OUT_OF_VIEW:25,PARTIAL_VIEW:50},p=h.NA;e=e?k:n;if(b||d)p=a>=e.IN_VIEW?h.IN_VIEW:a<=e.OUT_OF_VIEW?h.OUT_OF_VIEW:a>=e.PARTIAL_VIEW?h.PARTIAL_VIEW_PLUS:h.PARTIAL_VIEW_MINUS;
return p},calcPercentInView:function(a,b,d,k){var n=0,p=a;a.hasValidDims()&&!a.isHidden()&&(e([b,d,k]).each(function(a,b){if(b.hasValidDims()){var c=p.getRounded(),d=b.getRounded(),f=Math.max(c.scrX,d.scrX),e=Math.max(c.scrY,d.scrY),g=Math.min(c.scrX+c.width,d.scrX+d.width),c=Math.min(c.scrY+c.height,d.scrY+d.height),g=g-f,c=c-e;p=E({scrX:f,scrY:e,width:0<g?g:0,height:0<c?c:0})}}),n=r.round(p.area()/a.area()*100));return n}}},ua=function(a){var d=!1;return{getCacheBustId:function(){var a=new Date,
c=Date.parse("Jan 1 "+a.getFullYear()),a=a.getTime()-c;return e.toBase(a,62)},impressionIsIdentifiable:function(a){a&&(d=!0);return d},unq:function(){var b="";try{for(var c,d=window.Uint32Array&&window.crypto&&window.crypto.getRandomValues;30>b.length;)d?(c=new Uint32Array(1),window.crypto.getRandomValues(c),b+=c[0].toString(16)):b+=(16*r.random()|0).toString(16);b=b.slice(0,30)}catch(e){a.add(h.ERROR_CODES.UID_GENERATION)}return b}()}},xa=function(a){var d,b=function(){var b,c,d,g,q,t,l=r.getMaxNumber();
b=r.getMaxNumber();d=r.getWindow();u.friendly?(b=f(),d=b.left,g=b.top,l=b.width,b=b.height,c=v.windowPosition(),q=c.scrX+d,t=c.scrY+g):a.browserIs(h.BROWSERS.IE)&&11!==a.getDocumentMode()?(t=q=0,d=function(a){q=a.screenX-a.clientX;t=a.screenY-a.clientY},document.documentElement.attachEvent("onmousemove",d),document.documentElement.fireEvent("onmousemove"),document.documentElement.detachEvent("onmousemove",d)):e.isDef(d.mozInnerScreenX)&&(q=r.round(d.mozInnerScreenX),t=r.round(d.mozInnerScreenY));
return{scrX:q,scrY:t,iFrameClippingWidth:l,iFrameClippingHeight:b}},c=function(){var a,b,c=d||v.getIeDimObj(),f=r.getWindow();e.isDef(f.innerWidth)?(a=f.innerWidth,b=f.innerHeight):c&&e.isDef(c.clientWidth)?(a=c.clientWidth,b=c.clientHeight,0===a&&0<c.offsetWidth&&(a=c.offsetWidth),0===b&&0<c.offsetHeight&&(b=c.offsetHeight)):f.frameElement&&e.isDef(f.frameElement.clientWidth)&&(a=f.frameElement.clientWidth,b=f.frameElement.clientHeight);return{width:a,height:b}},f=function(a,b){a=a||r.getWindow();
b=b||{top:0,left:0,width:r.getMaxNumber(),height:r.getMaxNumber()};for(var c,d=a.parent.document.getElementsByTagName("iframe"),e=!1,g=0,l=d.length;g<l;g++)if(c=d[g],c.contentWindow==a){e=!0;break}if(e){c=v.getRect(c);b.left+=c.left;b.top+=c.top;try{b.width=r.min(b.width,c.width),b.height=r.min(b.height,c.height)}catch(y){s.trigger("error",h.ERROR_CODES.GET_AD_DIMENSIONS)}a!==r.getTop()&&f(a.parent,b)}return b},g=function(){var a={};try{a=e(b()).mixin(c())}catch(d){s.trigger("error",h.ERROR_CODES.GET_AD_DIMENSIONS)}return a};
return{calcDims:function(){return new E(g())},waitForBody:function(a){var b=setInterval(function(){document.body&&(d=v.getIeDimObj(),clearInterval(b),a())},50)},getClippedDims:function(){var a=g();return new E({scrX:a.scrX,scrY:a.scrY,width:a.iFrameClippingWidth,height:a.iFrameClippingHeight})}}},Ka=function(a,d,b,c,f,g,k,n){var p=function(a,b){if(b>=h.MAX_URL_LENGTH)return"";var c,d,f=[],g=function(a){return-1!==a.key.indexOf("q")||-1!==a.key.indexOf("g")};c=e(a).map(function(a,b){if(g(b))return b});
d=e(a).map(function(a,b){if(!g(b))return b});e(c.concat(d)).each(function(a,c){var d="adsafe_url="+c.val+"&adsafe_type="+c.key,e=f.join("&").length;d.length+e+b<=h.MAX_URL_LENGTH&&f.push(d)});return f.join("&")},m=function(a){var f=0,p=R.hashCode(l.asid),m="adsafe_jsinfo=",w=n.needsFlash()?{viewState:h.NA}:n.checkScreenLoc(!0),s="c:"+c.getCacheBustId()+",sl:"+w.viewState+",em:"+u.embedded+",fr:"+u.friendly,C=b.on("postDts")&&z.getXHR2()?"p":"i",x=["pt:"+n.stringifyPingTimes()+(w.viewState!=h.NA?w.details:
""),e(k.params()).toParams(),"id:"+l.asid];g.iterate(function(a,b){x.push(a+":"+b.output())});d.toString()&&x.push("e:"+d.toString());x.push(b.output());x.push("uf:"+(n.useFlash()?1:0));x.push("tt:"+l.mode);x.push("et:"+(r.now()-l.birthdate));x.push("uid:"+c.unq);x.push("v:1.20.4");x.push("sp:"+("true"===l.jsDoSplit?1:0));x.push("ct:"+u.getPageTime());x.push("dtm:"+C);x.push("mn:"+l.mn);x.push("gtpl:"+("true"===l.getTpl?1:0));b.on("resolution")&&(x.push("wr:"+e(v.windowSize()).toArray().join(".")),
x.push("sr:"+e(v.screenSize()).toArray().join(".")));-1===(""+p).indexOf(k.params().br.toUpperCase().charCodeAt(0))&&x.push("mf:"+p);var B=function(b){return m.length+a+b.length+5<=h.MAX_URL_LENGTH},D=function(a){if(a)return","+a};B(s)&&(m+=D(s),e(x).each(function(a,b){-1!==b.indexOf("id:")&&B(b)?(m+=D(b),c.impressionIsIdentifiable(!0)):B(b)?m+=D(b):f+=1}),D("sp:"+("true"===l.jsDoSplit?1:0)));return m+=",ov:"+f};return{send:function(a){var b=f.baseUrl;try{b+=p(a,b.length)}catch(c){d.add(h.ERROR_CODES.IMPRESSION_URLS)}b+=
"&"===b.slice(-1)?"":"&";try{b+=m(b.length)}catch(e){d.add(h.ERROR_CODES.JSINFO),b+="adsafe_jsinfo=e:"+d.toString()}f.macroUrl&&(b+="&"===b.slice(-1)?"":"&",b+=f.macroUrl);try{f.sendImpression(b),s.trigger("impressionsent")}catch(g){__IntegralASDiagnosticCall("impsend",g,l)}}}},Ha=function(a,d){return{init:function(b){a.jsonp(b,function(a){d.send(h.DT_CODES.THIRD_PARTY,void 0,!1,!0,{field:"tpiLookup",value:a})},!1,"callback")}}},Ca=function(a){var d=function(a,b){return{time:a,task:b}},b=function(a,
b){b=b||e.noop;return function(g){return e(g).map(function(e,g){var p=g/1E3;return new d(g,function(){var d;d="";var e=u.isVideo()?2:1;p!==e&&(d+=p);d=l["_onInViewMRC"+d];s.trigger("sendDt",a,p);b(d)})})}};return{getJob:function(a,b){return new d(a,b)},getPingJobs:b(h.DT_CODES.PING,function(b){"true"===l.useViewabilityNotification&&!a.skipAsFraudulent()&&b&&s.trigger("notify",b)}),getFullyInViewPingJobs:b(h.DT_CODES.FULLY_INVIEW),getPosInViewPingJobs:b(h.DT_CODES.POS_INVIEW)}},ra=function(){var a=
function(a,c){-1!==a.indexOf(c+"&")&&(c+="&");return a.replace(c,"")},d=function(a,c,d){var e=a.indexOf("?");c=c+"="+d;if(-1===e)return a+"?"+c;e++;return a.slice(0,e)+c+"&"+a.slice(e)};return{wrap:function(b,c,f,e){var k="__IntegralAS_"+l.asid.replace(/\-/g,"")+"_"+r.round(1E4*Math.random()),n,p,m;e=e||"ias_callback";RegExp(e).test(b)&&(n=RegExp("("+e+"=)(.[^&]*)").exec(b)[0],p=n.split("=")[1],m=R.stringToFn(p),b=a(b,n));window[k]=function(a){c(a);f&&m&&m(a);window[k]=void 0};return b=d(b,e,k)}}},
qa=function(){var a=function(){return u.isMobileApp()};return{isInView:function(){var d=h.NA;a()&&void 0!==window.mraid.isViewable&&(d=window.mraid.isViewable()?h.IN_VIEW:h.OUT_OF_VIEW);return d},getDetectionMethod:function(){return a()?h.DETECTION_METHODS.MOBILE:h.NA},isMobileApp:a}},Ia=function(a,d,b){var c={jss:{isFW:!0,nodeType:"script"},jsi:{isFW:!0,nodeType:"iframe"},jload:{impressionMethod:function(a){s.trigger("send",a,function(){s.trigger("sendDiag")},!d.on("postMon"))}},bapi:{impressionMethod:function(b){s.trigger("jsonp",
b,a.enabled?a.callback:e.noop,a.enabled?!0:!1)}},jsapi:{isFW:!0,impressionMethod:function(b){s.trigger("jsonp",b,a.enabled?a.callback:e.noop,a.enabled?!0:!1)}},jsvid:{impressionMethod:function(a){s.on("adImpression",function(){s.trigger("send",a,e.noop,!d.on("postMon"))})}},fwjsvid:{isFW:!0,impressionMethod:function(a){var b="false"===l.fwMonitoring,c=function(a){a=a.split("/");a[3]="db2";a[4]="video";return a.join("/")};b&&s.trigger("jsonp",c(a),function(a){s.trigger("videoBlockResult",a)});s.on("adImpression",
function(c){var d;if(d=b)d=c&&e.isBool(c.integral_didBlock)&&0<=c.integral_timeToDecision;d&&(a=a.replace(/(adsafe_jsinfo=)([^&]*)/,"$1$2,abc:"+(c.integral_didBlock?1:0)+",abct:"+c.integral_timeToDecision));s.trigger("send",a,e.noop,!0)})}},jspix:{nodeType:"img"}};return new function(){var a=function(a){var b=-1===a.indexOf("?")?"?":"&";return a+b},d=c[l.mode],e=!!d.isFW,n=function(a){var c;c=b&&l.mobFwUrl?l.mobFwUrl:a?l.adsafeSrc:l.requrl;a||(c+="?"+l.reqquery);return c}(e),p=n.indexOf("BEGIN__ADSAFE"),
m=-1!==p,q=m?n.slice(p):"",a=m?n.slice(0,p):a(n);return{isFW:e,baseUrl:a,macroUrl:q,sendImpression:function(a){d.nodeType?s.trigger("addNode",d.nodeType,a):d.impressionMethod(a)}}}},Pa=function(a,d){var b,c=l.mtCell,f=l.mtSample,g=0,k=0,n=[],p=null,m=null,q,t=function(a){try{var b=r.now()-p;g+=b;z.removeEvent("mousemove",y);n.push("{ht:"+g+",mm:{"+e(q).toParams()+"}}");d.addItem({output:"{cs:"+c+",sr:"+f+",ec:"+n.length+",me:["+n.slice(-10).join(",")+"]}"},"mt",{type:h.DT_CODES.UNLOAD})}catch(m){}},
s=function(a){try{g=0,q={},p=r.now(),z.addEvent(b,"mousemove",y)}catch(c){}},y=function(d){var g,p,n,h,t,l,y;try{null===m&&(m=b&&e.isDef(d.clientX)&&e.isDef(d.clientY));if(m&&0===k%f&&(t=a.calcDims(),-1!==t)){y=r.ceil(t.width/c);var s=d.clientX,A=d.clientY;n=u.embedded?s:s-t.x;h=u.embedded?A:A-t.y;g=r.floor(n/c);p=r.floor(h/c);l=g+p*y;q[l]?q[l]++:q[l]=1}k++}catch(v){}};return{init:function(){var c=setInterval(function(){try{a.isAdDetected()&&(b=a.getOriginatingElement(),z.addEvent(b,"mouseenter",
s),z.addEvent(b,"mouseleave",t),clearInterval(c))}catch(d){}},250)}}},r={execAtEndOfThread:function(a){setTimeout(a,0)},now:function(){return(new Date).getTime()},random:function(){return Math.random()},round:function(a){return Math.round(a)},ceil:function(a){return Math.ceil(a)},floor:function(a){return Math.floor(a)},min:function(){return Math.min.apply(null,arguments)},getWindow:function(){return window},getMaxNumber:function(){return Number.MAX_VALUE},getTop:function(){return top},getNewActiveXObject:function(a){return new ActiveXObject(a)},
getDoc:function(){return document}},na=function(){var a,d=!1,b=new Q,c=function(){var b=r.getWindow();return u.friendly&&b.top.document&&(e.isFunction(b.top.document.hasFocus)||e(b.top.document.hasFocus).isObj())&&!b.top.document.hasFocus()||(e.isDef(a.prop)?r.getDoc()[a.prop]:null)},f=function(){var d=r.getWindow(),f=function(){b.run(c())};z.addEvent(d,"focus",f,!0);z.addEvent(d,"blur",f,!0);a.event&&z.addEvent(r.getDoc(),a.event,f,!0)};a=function(){var a,b="hidden",c="visibilitychange",d=r.getDoc();
e.isUndef(d.hidden)?e(["moz","ms","webkit"]).each(function(f,q){var h=q+"Hidden";e.isDef(d[h])&&(b=h,c=q+c,a=!0)}):a=!0;return a?{prop:b,event:c}:{}}();return{isHidden:c,onHiddenChange:function(a){b.push(a);d||(d=!0,f())}}},oa=function(){var a=function(a){for(var c in a)if(a.hasOwnProperty(c)){var d=a[c];(""===d||"null"===d||"undefined"===d||null===d||e.isUndef(d))&&delete a[c]}return a},d=function(a){var c={},d,g;for(g in a)a.hasOwnProperty(g)&&(d=a[g],e.isUndef(c[d])?c[d]=g:c[d]+=g);a={};for(g in c)c.hasOwnProperty(g)&&
(d=c[g],a[d]=g);return a};return{detectTopURL:function(){var b=function(){var a={g:"",q:""};try{a.q=window.parent.parent.parent.parent.parent.parent.parent.parent.parent.parent.location.href}catch(b){var d=b.message,d=d.substring(d.lastIndexOf("<")+1,d.lastIndexOf(">")),c;if(c=e.isDef(d))if(c=!1,e.isDef(window.navigator)&&e.isDef(window.navigator.userAgent)){var f=window.navigator.userAgent.match(/Firefox\/([\.0-9]+)/);null!==f&&2==f.length&&(f=f[1].split("."),3==parseInt(f[0],10)&&6>=parseInt(f[1],
10)&&(3==f.length?13>=parseInt(f[2],10)&&(c=!0):c=!0))}c&&(a.g=d)}return a},c={};try{c.a=encodeURIComponent(top.location.href)}catch(f){}try{c.b=encodeURIComponent(parent.location.href)}catch(g){}if(u.embedded){try{c.c=encodeURIComponent(parent.document.referrer)}catch(h){}try{c.e=encodeURIComponent(window.document.referrer)}catch(n){}}try{"jsi"!==l.mode&&(c.d=encodeURIComponent(window.location.href))}catch(p){}try{c.f=encodeURIComponent(l.jsref)}catch(m){}try{var q=b();c.g=encodeURIComponent(q.g);
c.q=encodeURIComponent(q.q)}catch(t){}var c=a(c),c=d(c),b=[],r;for(r in c)c.hasOwnProperty(r)&&b.push({key:r,val:c[r]});b.sort(function(a,b){return a.val.length>b.val.length?1:a.val.length<b.val.length?-1:0});return b}}},Ra=function(a){return{hash:function(){for(var d=0,b=a.length,c=[],f;d<b;d++)f=a[d].filename.replace(/\.plugin$/,""),f=R.hashCode(f),f=e.toBase(f,62).slice(-4),c.push(f);return c},decode:function(d){var b,c;b=r.floor(r.random()*d.length);c=encodeURIComponent(a[b].filename.replace(/\.plugin$/,
""));return[d[b],c]}}},ka=function(a){var d=!1;return{measure:function(b){(d=0===b.rsa)&&l._onSuspicious&&a.trigger("notify",l._onSuspicious)},skipAsFraudulent:function(){return d}}},pa=function(){var a=[],d={},b={sl:"n",gsl:"gn",fsl:"fn"},c=0,f,g,k={i:0,o:0,n:0,pp:0,pm:0,gpp:0,gpm:0,gi:0,go:0,gn:0,fi:0,fo:0,fn:0},n=function(a){var b={},d=a.winDimensions,c=a.adDimensions;e.isDef(d)&&d.hasValidDims()&&(b.wc=d);e.isDef(c)&&c.hasValidDims()&&(b.ac=c,b.am=a.method,b.cc=a.containerDimensions);e({piv:"percentInView",
obst:"obstructed",th:"tabHidden",reas:"reason",cmps:"adCompCount"}).each(function(d,c){var f=a[c];e.isDef(f)&&(b[d]=f)});d=e(b).toParams();return""===d?"":","+d},p=function(a,b){var c=new fb(b);return d[a]=c},m=function(a,b){return(b||"")+{inView:"i",outOfView:"o",na:"n",partialViewMinus:"pm",partialViewPlus:"pp"}[a]},q=function(){e(b).each(function(b,d){k[d]+=a.length?g-c:g});c=g},t=function(d){a.length&&q();e(d).each(function(a,d){var c=b[a];c!==d&&"n"===c&&(k[d]+=k.n);b[a]=d});a.length||q()},l=
function(a){var b,c=a.adDimensions.getRounded();b=n(a);var f={sl:m(a.viewState),fsl:m(a.fState||h.NA,"f"),gsl:m(a.gState||h.NA,"g")};g=u.getTagTime();t(f);f.t=g;b=e({toString:function(){e(d).each(function(a,b){b.fastForward()});return"{"+e(f).toParams()+this.details+this.breakdowns+"}"},details:b,breakdowns:{piv:[],as:[],toString:function(){var a,b=function(a,b){return b.duration+"~"+b.state};a=""+("piv:["+e(this.piv).stringify(b)+"]");a+=",as:["+e(this.as).stringify(b)+"]";return",bkn:{"+a+"}"}},
isInView:function(){return-1!==(h.IN_VIEW+"|"+h.PARTIAL_VIEW_PLUS).indexOf(a.viewState)},isFullyInView:function(){var b=a.useCocoa?a.fullPercentInView:a.percentInView;return this.isInView()&&100===b}}).mixin(f);e(b).mixin(a);b.width=c.width;b.height=c.height;return b};(function(){p("piv",function(a){var b,d=a.percentInView,c=[1,25,30,50,75];100===d||0===d?b=d:(e(c).each(function(a,f){e.isUndef(b)&&d<f&&(b=c[a-1])}),e.isUndef(b)&&(b=c[c.length-1]));return b});p("as",function(a){a=a.adDimensions.getRounded();
return a.width+"."+a.height})})();return{fastForward:function(){g=u.getTagTime();q()},registerLocation:function(c){var g,p=!1;b.sl==m(c.viewState)&&a.length?(g=new l(c),a[a.length-1].details=g.details):(g=new l(c),a.push(g),f=c.viewState,p=!0);s.trigger("newScreenEvent",g);e(d).each(function(b,d){-1!=="piv|as".indexOf(b)?(p&&d.clear(),d.addState(g),a[a.length-1].breakdowns[b]=d.get()):d.addState(g)});return g},stringify:function(b){var d="";a.length&&(d=e({slTimes:"{"+e(k).toParams()+"}",slEvents:"["+
a.slice(-b).join(",")+"]",slEventCount:a.length}).toParams());return d},createViewabilityTracker:p,getCurrentLoc:function(){return m(f)}}},La=function(a){var d=l.asid,b=[0,1,4],c,f=function(){var a=setInterval(function(){window.postMessage({asid:d,ksca:"acsk",sender:"main"},"*")},50);window.addEventListener("message",function(c){c=c.data;"acsk"===c.ksca&&c.asid===d&&"main"!==c.sender&&("ack"===c.type&&clearInterval(a),"complete"===c.type&&(c.timeReturned=r.now(),g(c)),b.length&&(c=b.shift(),window.postMessage(k(c),
"*")))})},g=function(b){var d=-5-0.1*b.targets,c=h.DT_CODES.SCA;b="{"+e(b).stringify(function(a,b){var d;0===a.indexOf("time")?d=a+":"+b:"resultList"===a&&(d="rl:"+e(b).map(function(a,b){return"{"+e(b).toParams()+"}"}).join("."));return d})+"}";a.trigger("addOutputItem",{output:b},"sc",{type:c});a.trigger("sendDt",c,d)},k=function(){var a=0,b=d.replace("-",""),f=b.substr(-6);return function(e){for(var g=c,h=r.now(),k=e,l=[];k--;)l.push(b.substr(++a,3));return{scaUrl:g,targets:e,timeBegun:h,src:f,
targetList:l,asid:d,ksca:"acsk",sender:"main",cap:1E6}}}();return{load:function(){if(!e.isUndef(window.Worker)&&!e.isUndef(window.Blob)){var b=new J;b.sub("static");b.master(b.master().split(":")[0]);b.path("sca.js");c=b.toString();a.trigger("exec",c);f()}}}},R={rot:function(a){return a.replace(/[a-zA-Z]/g,function(a){return String.fromCharCode(("Z">=a?90:122)>=(a=a.charCodeAt(0)+13)?a:a-26)})},hashCode:function(a){var d=0,b,c,f;if(0===a.length)return d;b=0;for(f=a.length;b<f;b++)c=a.charCodeAt(b),
d=(d<<5)-d+c,d|=0;return d},stringToFn:function(a){var d,b=window,c=a.split(".");for(a=0;a<c.length;a++)if(d=b,b=b[c[a]],e.isUndef(b)||a===c.length-1&&!e.isFunction(b))return!1;return function(){b.apply(d,arguments)}}},ia=function(a){var d,b,c,f=new S,g=new U,h=new hb(f),n=new ib(f),p=new jb(f,a),m=e.isDef(window.JSON)&&e.isDef(window.postMessage),q=function(){e.isUndef(c)&&(c=new kb(f));return c},t=function(){f.provide({frameCollection:function(){return h},adProxy:function(){return n},adTalkMessage:function(a){return new lb(a)},
idMapModule:q})};return{isApplicable:function(){return m},start:function(){t();n.createNew(l);g.traverse(h.addFrame);p.startListening();p.sendToKnownFrames()},sendAdTalkCall:p.sendAdTalkCall,getFrameMap:function(){e.isUndef(d)&&(d=new Y(f));return d},getFrameMapIncludingPeerCase:function(){e.isUndef(b)&&(b=new Y(f,!0));return b},getIdMap:q}},lb=function(a){var d={messageContent:a||{},srcAsid:l.asid,srcIsEmbedded:u.embedded,srcBirthdate:l.birthdate,iasCommonId:l.asid.split("-")[2],updateMessage:function(b){d.messageContent=
b(a)}};return d},mb=function(a,d,b,c){var f,g=a==window;f={position:d.slice(0),id:d.join("-"),isMe:g,isLeaf:!a.frames.length,adProxies:g?b:[],selfDescription:void 0,unifiedId:l.birthdate,srcIsEmbedded:c?c.srcIsEmbedded:void 0,inbox:c?[c]:[],getDomObj:function(){return a},getStringifiedPosition:function(){return e(f.position).map(function(a,b){return e.toBase(Number(b)+1,36)}).join("")},isValidForMapping:function(){return f.isLeaf||f.isMe||e.isDef(f.selfDescription)},markTagAsReported:function(){f.adProxies.length&&
e(f.adProxies).each(function(a,b){b.isReported=!0})},hasUnreportedTag:function(){var a=e(f.adProxies).findFirst(function(a,b){return!b.isReported});return e.isDef(a)}};var h=function(a){var b=f.adProxies;a=a.adProxies;var c=[];b.length&&a.length?e(a).each(function(a,d){n(b,d)&&c.push(d)}):c=a;f.adProxies=b.concat(c)},n=function(a,b){return!e(a).find(function(a,c){return c.adSafeId&&c.adSafeId===b.adSafeId})},p=function(a){e(f.inbox).find(function(b,c){return c.srcAsid&&c.srcAsid===a.srcAsid})||f.inbox.push(a)};
f.addInformationFromSrc=function(a,b){h(b);p(a);f.srcIsEmbedded=a.srcIsEmbedded;f.selfDescription=b};return f},hb=function(a){var d=[],b={},c={noMe:!0};return{addFrame:function(f,e,h){var n=a.request("adProxy").getAll();f=new mb(f,e,n,h);d.push(f);b[f.id]=f;f.isMe&&(c=f);return f},getFrame:function(a){return b[a]},list:d,dictionary:b,getMe:function(){return c},markAllTagsAsReported:function(){e(d).each(function(a,b){b.markTagAsReported()})}}},Y=function(a,d){var b=function(a,b){var e=b.adProxies,
h="";if(b.isValidForMapping()){if(d)h+=c(e,b.getStringifiedPosition());else{var p;p=""+b.getStringifiedPosition();p+=b.isMe?"*":"";p+=e.length?"."+e[0].tagId:"";h+=p}return h}},c=function(a,b){var c="";return c=a.length?c+e(a).stringify(function(a,c){return b+(l.asid===c.adSafeId?"*":"")+"."+c.tagId},"|"):c+b};return{output:function(){var c=a.request("frameCollection"),d=e(c.list).stringify(b,"|");return e.toBase(c.getMe().unifiedId,62)+"+"+d}}},kb=function(a){var d=a.request("frameCollection"),b=
d.getMe().getStringifiedPosition(),c=function(a,c){var d,e,h=c.getStringifiedPosition(),l=c.inbox;e=!u.embedded;var r=!c.isMe&&!c.srcIsEmbedded;e=e&&c.isMe?"m":e||r?"n":"d";"m"===e?d=h+"*":"d"===e&&(e=b&&h&&l.length&&g(h),c.isValidForMapping()&&e&&(d=f(l,h)));return d},f=function(a,b){var c="";a.length&&(c+=e(a).stringify(function(a,c){var d;d=l.asid===c.srcAsid?b+"*":c.srcAsid&&c.transferDuration?b+"."+c.srcAsid+"."+c.transferDuration:void 0;return d},"|"));return c},g=function(a){return 0===b.indexOf(a)||
0===a.indexOf(b)};return{output:function(){var a=e(d.list).stringify(c,"|");return a=120<a.length?a.substr(0,120)+".of"+a.length:a},isCandidateForMyIdMap:function(a){return a.srcIsEmbedded&&u.embedded&&g(a.getStringifiedPosition())}}},jb=function(a,d){var b=!1,c=function(a){var b=l.asid.split("-")[2];return a.hasOwnProperty("messageContent")&&b===a.iasCommonId},f=function(){var b=a.request("frameCollection").getMe();return a.request("adTalkMessage",{self:b,unifiedId:b.unifiedId})},g=function(a,b){return!e(a).find(function(a,
c){return c.srcAsid&&c.srcAsid===b.srcAsid})},k=function(){var c=h.DT_CODES.ADTALK;a.request("frameCollection").markAllTagsAsReported();b||(b=!0);s.trigger("sendDt",c)},n=function(c,f,l){var n,u,y,w;try{n=a.request("frameCollection");u=f.messageContent;y=u.self;var v=n.getMe();v.unifiedId>y.unifiedId&&(v.unifiedId=y.unifiedId);var z;z=r.now()-f.sentTime;f.transferDuration=z;w=n.getFrame(y.id);e.isUndef(w)||e.isUndef(w.selfDescription)||g(w.inbox,f)?(w=w||n.addFrame(c.source,y.id.split("-"),f),w.addInformationFromSrc(f,
y),l()):w.addInformationFromSrc(f,y);var x;c=w;if(d.on("moreAdTalkCalls")){var B=a.request("idMapModule");x=b&&c.hasUnreportedTag()&&B.isCandidateForMyIdMap(c)}else x=!1;x&&k()}catch(D){s.trigger("error",h.ERROR_CODES.ADTALK_DUBIOUS)}};return{sendAdTalkCall:k,sendToKnownFrames:function(){(new X).send(f)},startListening:function(){(new eb).listen(c,n,f)},validateMessage:c,processMessage:n,createMessage:f}},nb=function(a){a=a||l;var d;a.reqquery?d=a.reqquery.split(/(?:anId=|anid=|ANID=)([^&]*)/)[1]:
(d=a.adsafeSrc.split("/"),d=d[5]+"-"+d[6]);return{tagId:d,adSafeId:a.asid,isReported:!1}},ib=function(){var a=[];return{createNew:function(d){d=new nb(d);a.push(d);return d},getAll:function(){return a}}},Na=function(a,d,b){var c=!1,f=function(){d.impressionIsIdentifiable()&&!c&&(c=!0,s.trigger("notify",l._onMeasurable))};return{start:function(){if(b.useFlash())s.on("measurable",function(){a.browserIs(h.BROWSERS.WEBKIT)||f()});else f()},isApplicable:function(a){return a.bootstrapOn("useViewabilityNotification")&&
e.isDef(l._onMeasurable)}}},Ja=function(a,d,b,c,f,g,k,n,p,m,q,t,s,y,w){var v,C,x,B,D=0,N=0,H,J=-1!==l.mode.indexOf("jsvid"),R=q.isMobileApp(),I=J?200:100;b=l.mobOrTab;var S=!b&&c.on("recordalternate"),G=c.on("forcecocoa"),K=a.getDocumentMode(),K=a.browserIs(h.BROWSERS.GECKO)||a.browserIs(h.BROWSERS.IE)&&(9===K||10===K)&&c.on("rattie"),V=u.friendlyIframe&&G||u.xDomainIframe&&K&&G||u.xDomainIframe&&!K,L=!b&&V&&c.on("cocoapuffs"),O=!1,P=new gb(10),M=[J&&c.on("videotwoseconds")?2E3:1E3,5E3,15E3];c.on("everySecond")&&
(M=[1E3,2E3,3E3,4E3,5E3,6E3,7E3,8E3,9E3,1E4,11E3,12E3,13E3,14E3,15E3]);var Q=e(M).map(function(a,b){return b/1E3}).join("-"),$=new da(1E3),U=new W(m.getPingJobs(M));if(c.on("hundredpct")&&l.use100v)var aa=new da(1E3),X=new W(m.getFullyInViewPingJobs(M));if(c.on("tabHiddenDtCall"))var ba=new da(1E3),Y=new W(m.getPosInViewPingJobs([M[0]]));var Z=function(b){try{P.start();var m,n,k,u,z,G;k=s.collect();var H=function(){Z();c.on("viewabilityready")&&(d.send(h.DT_CODES.VIEWABILITY_READY),g.trigger("measurable"))};
S&&(k.gState=k.viewState);if(L){v=v||new ca(T,k.adDimensions,H,c,t,a)||{};u=v.checkViewable();c.on("hundredpct")&&l.use100v&&(B=B||new $a(Za,k.adDimensions,H,a,c,f,p,t)||{},z=B.checkViewable(),k.fullPercentInView=z.pct,k.useCocoa=L);if(1!==k.tabHidden||u.str===h.NA)k.viewState=u.str;k.percentInView=u.pct;c.on("unreliabilityDetection")&&(x=x||new ca(T,E({height:0,width:-2E4}),e.noop,c,t,a)||{},G=x.checkViewable(),G.str!==h.OUT_OF_VIEW&&(N+=1),D+=1,p.addItem({output:N+"/"+D},"fu"))}else V&&(k.viewState=
h.NA,k.percentInView=-1);S&&(C||b||(C=L?v:new ca(T,k.adDimensions,e.noop,c,t,a,f)),k.fState=b?h.NA:C.checkViewable().str);if(J){if(n=w.getViewStateOverride()){if(n===h.OUT_OF_VIEW){var I=k.reason?k.reason.split("."):[];I[I.length]=h.OUT_OF_VIEW_REASONS.VIDEO;k.reason=I.join(".")}k.viewState=n}}else R&&(k.viewState=q.isInView());m=y.registerLocation(k);c.on("hundredpct")&&l.use100v&&(m.isFullyInView()?(aa.mark(),X.doEligibleJobs(aa.getTotalTime()),!c.on("zeroPing")||O||b||(d.send(h.DT_CODES.FULLY_INVIEW,
0),O=!0)):aa.stop());m.isInView()?($.mark(),U.doEligibleJobs($.getTotalTime())):$.stop();var K=U.getNextJob();K&&K.time===M[0]&&c.on("tabHiddenDtCall")&&(k.posViewState===h.IN_VIEW||k.posViewState===h.PARTIAL_VIEW_PLUS?(ba.mark(),Y.doEligibleJobs(ba.getTotalTime())):ba.stop());P.stop();var Q=r.round(P.getTime()/P.getCount());p.addItem({output:Q},"lt",{type:h.DT_CODES.UNLOAD});return m}catch(W){g.trigger("error",h.ERROR_CODES.CHECK_SCREEN_LOC)}},ea,fa=function(a){var b;H=!0;var c=!1,f=function(){c||
(c=!0,d.send(h.DT_CODES.VIDEO_EVENTS))};a=function(){f();if(!ea){var a=[v,B,C,x];b&&clearInterval(b);e(a).each(function(a,b){b&&"function"===typeof b.clearPixels&&b.clearPixels()});ea=!0}};k.impressionIsIdentifiable()&&(Z(),b=setInterval(Z,I),ea=!1,g.on("adStopped",a),g.on("adVideoComplete",a),g.on("skipAd",a),z.addEvent(window,"beforeunload",d.unload,!1),J&&z.addEvent(window,"beforeunload",f,!1))};return{checkScreenLoc:Z,init:function(){"true"===l.allowViewability&&e.isFunction(document.addEventListener)?
(H=!1,"complete"==document.readyState||"loaded"==document.readyState||"interactive"==document.readyState?r.execAtEndOfThread(fa):document.addEventListener("DOMContentLoaded",fa,!1)):n.waitForBody(fa)},needsFlash:function(){return V},readyFired:function(){return H},useFlash:function(){return L},stringifyPingTimes:function(){return Q}}},Oa=function(a){var d=new ob,b=new pb,c=new qb;return{start:function(e){try{e&&(d.detect(),d.hasDetectedMobileApp()&&(b.detect(),a.on("mraidinjection")&&b.isSafeToInjectMraid()&&
c.inject()))}catch(g){s.trigger("error",h.ERROR_CODES.MOBILE_APP)}}}},rb={url:{STRINGIFIED_METHOD:"u",detect:function(a){return!!e(a).findFirst(function(a,b){return-1!==r.getWindow().location.href.indexOf(b)})}},userAgent:{STRINGIFIED_METHOD:"a",detect:function(a){return!!e(a).findFirst(function(a,b){var c;c=!1;var f=r.getWindow();e.isDef(f.navigator)&&e.isDef(f.navigator.userAgent)&&(c=(c=f.navigator.userAgent)&&-1!==c.indexOf(b));return c})}},javascript:{STRINGIFIED_METHOD:"j",detect:function(a){return!!e(a).findFirst(function(a,
b){return e.isDef(r.getWindow()[b])})}},scriptSrc:{STRINGIFIED_METHOD:"s",detect:function(a){return!!e(a).findFirst(function(a,b){return v.containsScriptTagWithSrc(function(a){return e.isDef(a)&&-1!==a.indexOf(b)})})}}},ga=function(){var a=function(a,b){var c,e=rb[a];e.detect(b)&&(c=e.STRINGIFIED_METHOD);return c};return{process:function(d){return e(d).map(a).join("")}}},sb={url:["file:","content:","applewebdata:"],userAgent:["QuantcastSDK","afma-sdk"],scriptSrc:["file:"]},ob=function(){var a,d=function(){return""!==
a};return{detect:function(){a=ga().process(sb);d()&&s.trigger("addOutputItem",{output:"1"},"mapp",{type:"impression"})},hasDetectedMobileApp:d}},qb=function(){return{inject:function(){e.isDef(r.getWindow().mraid)||v.containsScriptTagWithSrc("mraid.js")||s.trigger("exec","mraid.js")}}},pb=function(){var a=[],d=[],b=function(b,d){var e,h=ga().process(d.detectionRules);h&&(a.push(d.STRINGIFIED_SDK+"*"+h),e=d);return e};return{detect:function(){d=e(tb).map(b);0<d.length&&s.trigger("addOutputItem",{output:function(){return a.join(".")}},
"sdk",{type:"impression"})},isSafeToInjectMraid:function(){return 1==d.length&&e.isDef(d[0].safeToInjectMraid)&&d[0].safeToInjectMraid}}},tb=[{STRINGIFIED_SDK:"adma",detectionRules:{javascript:["ADMARVEL"],url:["AdMarvel"]}},{STRINGIFIED_SDK:"admb",detectionRules:{userAgent:["afma-sdk"]}},{STRINGIFIED_SDK:"imbi",detectionRules:{javascript:["InmobiObj"]}},{STRINGIFIED_SDK:"mmed",detectionRules:{url:["mmsdk"],scriptSrc:["mmsyscache"]}},{STRINGIFIED_SDK:"mopb",detectionRules:{javascript:["mopubFinishLoad"]}}],
ub=function(a,d){var b=!1,c=!1,f,g=function(){b||(b=!0,f=d.createViewabilityTracker("mpt",function(a){return a.isFullyInView()}))},k=function(a){if(!e.isUndef(a)){var b=-1;e.isDef(a.volume)?b=a.volume:e.isDef(a.adVolume)&&(b=a.adVolume);return b}},l=function(a){a=k(a);b||0!==a?b&&(c||0===a)&&(a={isFullyInView:function(){return!1}},f.addState(a)):c=!0};return{init:function(){a.on({adStarted:g,adVideoStart:g,volumeChanged:function(a){l(a)},adVideoMidpoint:function(){f&&f.hasAlwaysBeen(!0)&&a.trigger("sendDt",
h.DT_CODES.QUARTILE_FULLY_INVIEW)}})}}},vb=function(a,d){var b,c,f=a.eventData;c=function(a){var b=a.charAt(0).toLowerCase()+a.slice(1),c={AdPaused:"pauseAd",AdVolumeChange:"volumeChanged",AdPlaying:"resumeAd"};a in c&&(b=c[a]);return b}(a.messageType);b=e({t:a.time-l.birthdate,tp:c,vid:a.id,sl:d}).mixin(f);return e({indicatesPlaying:function(){return-1!=="showAd|adStarted|adVideoStart|resumeAd".indexOf(c)},indicatesNotPlaying:function(){return-1!=="adVideoComplete|adStopped|stopAd|pauseAd".indexOf(c)},
indicatesFullscreen:function(){var a=r.getWindow();return"resizeAd"===c&&("fullscreen"===f.viewMode||f.width===a.screen.width)},indicatesNormalSize:function(){return"resizeAd"===c&&"normal"===f.viewMode},trigger:function(){s.trigger(c,f)},toString:function(){return"{"+e(b).toParams()+"}"}}).mixin(b)},wb=function(){var a=[];return{registerEvent:function(d,b){var c=new vb(d,b);a.push(c);return c},toString:function(){return"{"+e({vEventCount:a.length,vEvents:"["+a.join(",")+"]"}).toParams()+"}"}}},za=
function(a,d,b){var c,f=h.OUT_OF_VIEW,g=r.getWindow(),k=r.getDoc(),n=new wb;s.provide({videoEventsString:n,videoVersion:function(){var a=m();return a?a.getVersion():-1}});var p=function(b,c){var d=c["IASid"+a],f=e.isFunction(d);f&&d.call(c,a);return f},m=function(){c||(e([".integral-vid-"+a,"ias-ad","object","embed"]).findFirst(function(a,b){var d=k.querySelectorAll(b);return c=e(e(d).toArray()).findFirst(p)}),c||__IntegralASDiagnosticCall("novidnode",{},l));return c};s.on("videoBlockResult",function(b){var c=
m(),d=!1,f="blockAd"+a;"failed"===b.action&&(d=!0);if(c&&e.isDef(c.blockAd))c.blockAd(d);else if(c&&e.isDef(c[f]))c[f](d)});(function(){var c=!1,e=!1;d.on("hundredpct")&&d.bootstrapOn("use100v")&&(new ub(s,b)).init();z.addEvent(g,"message",function(d){var g={};try{g=JSON.parse(unescape(d.data))}catch(k){g={}}g.id==a&&(d=n.registerEvent(g,b.getCurrentLoc()),d.indicatesPlaying()?(c=!0,f=e?h.IN_VIEW:!1):d.indicatesNotPlaying()?(c=!1,f=h.OUT_OF_VIEW):d.indicatesFullscreen()?(e=!0,f=c?h.IN_VIEW:h.OUT_OF_VIEW):
d.indicatesNormalSize()&&(e=!1,f=c?!1:h.OUT_OF_VIEW),d.trigger())})})();return{findAdNode:m,getViewStateOverride:function(){return f}}};try{Va()}catch(xb){__IntegralASDiagnosticCall("main",xb,l)}};try{__IntegralASConfig.initialize(__IntegralASConfig)}catch(err$$11){__IntegralASDiagnosticCall("initialize",err$$11,__IntegralASConfig)};
